Test Groups

Create a test group

Creates a test group.

POST /api/public/v1/test-groups

Create a test group

curl --request POST \
  --url 'https://api.buildprint.ai/api/public/v1/test-groups' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "key": "value"
}'
{
  "groupId": "<string>"
}

Group created

Authorizations

  • Authorization string required header

    Workspace REST API token prefixed with bp_

Request Body

application/json
  • appId string required

    Bubble app ID for the workspace project this request targets.

  • name string required

    Group name.

  • description string | null

    Optional description.

  • testIds[] string array

    Ordered test IDs to include in the group.

Response

application/json
  • groupId string

    Opaque identifier for the project test group.